curl --request GET \
--url https://api.malvo.io/consents/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/consents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/consents/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/consents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "c1d2e3f4-0000-4abc-9def-111213141516",
"itemId": "a8f4f3e1-7b2c-4d4e-8f9a-0b1c2d3e4f5a",
"status": "AUTHORISED",
"products": [
"ACCOUNTS",
"TRANSACTIONS",
"INVESTMENTS"
],
"openFinancePermissionsGranted": [
"ACCOUNTS_READ",
"ACCOUNTS_BALANCES_READ",
"RESOURCES_READ"
],
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:05:00.000Z",
"expiresAt": null,
"revokedAt": null
}{
"code": 401,
"message": "Missing or invalid authorization token",
"codeDescription": "CLIENT_KEYS_UNAUTHORIZED"
}{
"code": 404,
"message": "Consent not found"
}Consulta um consentimento pelo id
Retorna um único consentimento pelo seu id (UUID).
Authorizations
Path Parameters
Id (UUID) do consentimento.
Response
Consentimento encontrado.
Consentimento normalizado de Open Finance/Open Banking. Registra status, produtos, permissões e validade.
Id do consentimento.
"c1d2e3f4-0000-4abc-9def-111213141516"
Item dono do consentimento.
"a8f4f3e1-7b2c-4d4e-8f9a-0b1c2d3e4f5a"
Estado normalizado do consentimento.
AWAITING_AUTHORISATION, AUTHORISED, CONSUMED, REJECTED, REVOKED, EXPIRED "AUTHORISED"
Produtos cobertos pelo consentimento.
Produto de dados coletável. Valores exatos e case-sensitive.
ACCOUNTS, TRANSACTIONS, CREDIT_CARDS, INVESTMENTS, INVESTMENTS_TRANSACTIONS, LOANS, IDENTITY, OPPORTUNITIES, PORTFOLIO, INCOME_REPORTS ["ACCOUNTS", "TRANSACTIONS", "INVESTMENTS"]
Permissões normalizadas; nomes variam por modalidade (ex.: ACCOUNTS_READ/RESOURCES_READ no Brasil ou ACCOUNTS/BALANCES/TRANSACTIONS no fluxo internacional).
[
"ACCOUNTS_READ",
"ACCOUNTS_BALANCES_READ",
"RESOURCES_READ"
]
Timestamp ISO-8601 de criação do consentimento.
"2025-01-01T00:00:00.000Z"
Timestamp ISO-8601 da última mudança conhecida.
"2025-01-01T00:05:00.000Z"
Expiração quando conhecida; no fluxo internacional é limitada pela validade máxima informada pelo ASPSP.
null
Definido quando revogado; null caso contrário.
null